netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
test_byteorder.c File Reference
`#include <arpa/inet.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <atalk/byteorder.h>`

## Macros
#define | CHECK(desc, got, expected)

## Functions
static void | test_roundtrip (void)
static void | test_vs_direct_cast (void)
static void | test_reverse_vs_swap (void)
static void | test_signed (void)
static void | test_byte_layout (void)
static void | test_reverse_roundtrip (void)
int | main (void)

## Variables
static int | failures = 0

## Macro Definition Documentation

## ◆ CHECK

#define CHECK | ( |  | desc,
|  |  | got,
|  |  | expected )

Value:
do { \
if ((got) != (expected)) { \
fprintf(stderr, "FAIL: %s: got 0x%llx, expected 0x%llx\n", \
(desc), (unsigned long long)(got), \
(unsigned long long)(expected)); \
failures++; \
} \
} while (0)
failures
static int failures
Definition test_byteorder.c:30

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

## ◆ test_byte_layout()

void test_byte_layout | ( | void |  | ) |
| static

## ◆ test_reverse_roundtrip()

void test_reverse_roundtrip | ( | void |  | ) |
| static

## ◆ test_reverse_vs_swap()

void test_reverse_vs_swap | ( | void |  | ) |
| static

## ◆ test_roundtrip()

void test_roundtrip | ( | void |  | ) |
| static

## ◆ test_signed()

void test_signed | ( | void |  | ) |
| static

## ◆ test_vs_direct_cast()

void test_vs_direct_cast | ( | void |  | ) |
| static

## Variable Documentation

## ◆ failures

int failures = 0
| static